System.Web 2.0.0.0 System.Object System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)

Page and control developers do not use the , , or classes directly. These classes are used internally by the ASP.NET page framework to apply server-side properties and cascading style sheet definitions that are defined in ASP.NET themes and control skin files to specific types of controls.

objects represent a named skin or default skin of a control at run time and design time. ASP.NET builds , and objects to apply the style elements defined in themes and control skin files to ASP.NET Web pages and controls.

For more information about themes and control skins, see Introduction to ASP.NET Themes.

Represents a control skin, which is a means to define stylistic properties that are applied to an ASP.NET Web server control.

- Constructor
  To be added.

  Creates a new instance of the class using the passed type and delegate.

  The of to which the skin is applied, used to enforce type consistency among named skins.
  The that applies the style elements defined in a control skin file to the type identified by the parameter.
  2.0.0.0
- Method
  System.Void ``

  Passes the object associated with the class to the , which applies the skin to the object.

  Applies the skin to the control contained by the object.

  The control to which to apply the skin. 2.0.0.0
- Property
  System.Type To be added. To be added.

  Gets the of the control that the object is associated with.

  2.0.0.0